=== debian/changelog ===
ros-kinetic-urdf (1.12.12-0xenial) xenial; urgency=high

  * Switched to package format 2 and made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Added missing dependency on tinyxml (#213 <https://github.com/ros/robot_model/pull/213>)
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 08 Nov 2017 08:00:00 -0000

ros-kinetic-urdf (1.12.11-0xenial) xenial; urgency=high

  * Shared ptr yakkety (#207 <https://github.com/ros/robot_model/issues/207>)
    * Forward declare urdf::Model when urdfdom version is > 0.4
    * Add test for upcasting from urdf::ModelSharedPtr to urdf::ModelInterfaceSharedPtr
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 27 Jun 2017 07:00:00 -0000

ros-kinetic-urdf (1.12.10-0xenial) xenial; urgency=high

  * Change urdf::Model to use std::shared_ptrs in urdfdom > v0.4 (#206 <https://github.com/ros/robot_model/issues/206>)
  * Contributors: Dave Coleman

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 24 Jun 2017 07:00:00 -0000

ros-kinetic-urdf (1.12.9-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 07:00:00 -0000

ros-kinetic-urdf (1.12.8-0xenial) xenial; urgency=high

  * Allow supplying NodeHandle for initParam (#168 <https://github.com/ros/robot_model/issues/168>)
    * Allow supplying NodeHandle for initParam using new function.
    * fixed missing return statement in previous commit.
  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, Piyush Khandelwal, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-kinetic-urdf (1.12.7-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 08:00:00 -0000

ros-kinetic-urdf (1.12.6-0xenial) xenial; urgency=high

  * Addressed gcc6 build error in the urdf package, forward port of #156 <https://github.com/ros/robot_model/issues/156> (#173 <https://github.com/ros/robot_model/issues/173>)
  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 08:00:00 -0000

ros-kinetic-urdf (1.12.5-0xenial) xenial; urgency=high

  * Added urdf_compatibility.h header to define SharedPtr types (#160 <https://github.com/ros/robot_model/issues/160>)
    This provides portability for downstream packages allowing them to use urdfdom 0.3 or 0.4.
  * urdf: Explicitly cast shared_ptr to bool in unit test. (#158 <https://github.com/ros/robot_model/issues/158>)
  * Add smart ptr typedefs (#153 <https://github.com/ros/robot_model/issues/153>)
  * Addressed gcc6 build error in urdf which was related to use of the isystem flag (#157 <https://github.com/ros/robot_model/issues/157>)
  * Remove unneeded dependency on libpcrecpp (#155 <https://github.com/ros/robot_model/issues/155>)
  * Contributors: Bence Magyar, Jochen Sprickerhof, Lukas Bulwahn, Maarten de Vries, Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-kinetic-urdf (1.12.4-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 07:00:00 -0000

ros-kinetic-urdf (1.12.3-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 07:00:00 -0000

ros-kinetic-urdf (1.12.2-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 07:00:00 -0000

ros-kinetic-urdf (1.12.1-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 07:00:00 -0000

ros-kinetic-urdf (1.11.8-0xenial) xenial; urgency=high

  * Removed pcre hack for newer released collada-dom.
  * Fixed link order of libpcrecpp.
  * Contributors: Kei Okada

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 07:00:00 -0000

ros-kinetic-urdf (1.11.7-0xenial) xenial; urgency=high

  * Removed the exporting of Boost and pcre as they are not used in the headers, and added TinyXML because it is.
  * Fixed a bug with pcrecpp on Ubuntu > 13.04.
  * Contributors: Kei Okada, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-kinetic-urdf (1.11.6-0xenial) xenial; urgency=high

  * Add install for static libs needed for Android cross-compilation
  * Contributors: Gary Servin

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 08:00:00 -0000

ros-kinetic-urdf (1.11.5-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 07:00:00 -0000

ros-kinetic-urdf (1.11.4-0xenial) xenial; urgency=high

  * moving to new dependency for urdfdom and urdfdom_headers. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 07:00:00 -0000

ros-kinetic-urdf (1.11.3-0xenial) xenial; urgency=high

  * fix urdfdom_headers find_package re ros/rosdistro#4633 <https://github.com/ros/rosdistro/issues/4633>
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-kinetic-urdf (1.11.2-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 07:00:00 -0000


