=== debian/control ===
Source: ros-kinetic-urdf
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, liburdfdom-dev, liburdfdom-headers-dev, ros-kinetic-catkin (>= 0.5.68), ros-kinetic-cmake-modules, ros-kinetic-pluginlib, ros-kinetic-rosconsole-bridge, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-urdf-parser-plugin
Homepage: http://ros.org/wiki/urdf
Standards-Version: 3.9.2

Package: ros-kinetic-urdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, liburdfdom-dev, liburdfdom-headers-dev, ros-kinetic-pluginlib, ros-kinetic-rosconsole-bridge, ros-kinetic-roscpp
Description: This package contains a C++ parser for the Unified Robot Description Format (URDF), which is an XML format for representing a robot model.
 The code API of the parser has been through our review process and will remain backwards compatible in future releases.
